=== modified file 'plugin/myisam/mi_open.cc'
--- plugin/myisam/mi_open.cc	2009-10-08 13:45:08 +0000
+++ plugin/myisam/mi_open.cc	2009-10-08 13:45:54 +0000
@@ -31,6 +31,7 @@
 static unsigned char *mi_recinfo_read(unsigned char *ptr, MI_COLUMNDEF *recinfo);
 static uint64_t mi_safe_mul(uint64_t a, uint64_t b);
 static unsigned char *mi_state_info_read(unsigned char *ptr, MI_STATE_INFO *state);
+static unsigned char *mi_uniquedef_read(unsigned char *ptr, MI_UNIQUEDEF *def);
 
 #define disk_pos_assert(pos, end_pos) \
 if (pos > end_pos)             \
@@ -1002,7 +1003,7 @@
   return my_write(file, buff, (size_t) (ptr-buff), MYF(MY_NABP)) != 0;
 }
 
-unsigned char *mi_uniquedef_read(unsigned char *ptr, MI_UNIQUEDEF *def)
+static unsigned char *mi_uniquedef_read(unsigned char *ptr, MI_UNIQUEDEF *def)
 {
    def->keysegs = mi_uint2korr(ptr);
    def->key	= ptr[2];

=== modified file 'plugin/myisam/myisamdef.h'
--- plugin/myisam/myisamdef.h	2009-10-08 13:45:08 +0000
+++ plugin/myisam/myisamdef.h	2009-10-08 13:45:54 +0000
@@ -691,7 +691,6 @@
 int mi_keyseg_write(File file, const HA_KEYSEG *keyseg);
 uint32_t mi_keydef_write(File file, MI_KEYDEF *keydef);
 uint32_t mi_uniquedef_write(File file, MI_UNIQUEDEF *keydef);
-unsigned char *mi_uniquedef_read(unsigned char *ptr, MI_UNIQUEDEF *keydef);
 uint32_t mi_recinfo_write(File file, MI_COLUMNDEF *recinfo);
 extern int mi_disable_indexes(MI_INFO *info);
 extern int mi_enable_indexes(MI_INFO *info);

